@using CAPAMovies.Models
@model CAPAMovies.Models.UserMovie

@{
    ViewData["Title"] = "Add Movie Customizations";
}

<body>
    <form asp-action="Create" method="post">
        <div class="form-horizontal">
            <h4>Customize @ViewBag.Movie.Title</h4>
            <hr />
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>

            <input type="hidden" asp-for="UserID" value="@ViewBag.UserMovie.UserID"/>
            <input type="hidden" asp-for="MovieID" value="@ViewBag.UserMovie.MovieID"/>
            <input type="hidden" asp-for="DateAdded" value="@ViewBag.UserMovie.DateAdded"/>
            <input type="hidden" asp-for="LoanedTo"/>
            <div class="form-group">
                <label asp-for="TitleSort" class="col-md-2 control-label"></label>
                <div class="col-md-10">
                    <input asp-for="TitleSort" class="form-control" value="@ViewBag.Movie.Title"/>
                    <span asp-validation-for="TitleSort" class="text-danger" />
                </div>
            </div>
            <div class="form-group">
                <label asp-for="Format" class="col-md-2 control-label"></label>
                <div class="col-md-10">
                    <select class="col-md-10 form-control" asp-for="FormatID">
                        <option class="col-md-10" value="@ViewBag.UserMovie.FormatID">Choose a format</option>
                        @foreach (Format f in @ViewBag.Formats)
                        {
                            @if (f.FormatName != "None")
                            {
                                <option value="@f.ID">@f.FormatName</option>
                            }
                        }
                    </select>
                    <span asp-validation-for="FormatID" class="text-danger" />
                </div>
             </div>
            <div class="form-group">
                <label asp-for="StarRating" class="col-md-2 control-label"></label>
                <div class="col-md-10">
                    <select class="col-md-10 form-control" asp-for="StarRating">
                        <option class="col-md-10" value="0">Not Rated</option>
                        <option class="col-md-10" value="1">1</option>
                        <option class="col-md-10" value="2">2</option>
                        <option class="col-md-10" value="3">3</option>
                        <option class="col-md-10" value="4">4</option>
                        <option class="col-md-10" value="5">5</option>
                    </select>
                    <span asp-validation-for="StarRating" class="text-danger" />
                </div>
                </div>
            <div class="form-group">
                <label asp-for="Location" class="col-md-2 control-label"></label>
                <div class="col-md-10">
                    <input asp-for="Location" class="form-control" />
                </div>
            </div>
            <div class="form-group">
                <label asp-for="Custom" class="col-md-2 control-label"></label>
                <div class="col-md-10">
                    <input asp-for="Custom" class="form-control" />
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="Create" class="btn btn-default" />
                </div>
            </div>
        </div>
    </form>
</body>

<div>
    <a asp-action="Index">Back to List</a>
</div>
